<AgentBookingAuthorizationRequest>
    <Agent Id="{{agent_id}}">
        <Password>{{agent_password}}</Password>
        <Reference>AgentRef</Reference>
        <Time>{{agent_time}}</Time>
    </Agent>
    <Vendor Id="{{vendor_id}}" />
    <AvailabilityReference>{{availability_reference}}</AvailabilityReference>
    <Passengers>
    </Passengers>
    <Notifications>
        <VendorEvents>BookingDispatched NoFare BookingCompleted BookingCancelled</VendorEvents>
        <AlertMethod>None</AlertMethod>
        <AgentEvents>BookingDispatched NoFare BookingCompleted BookingCancelled LocationUpdate VehicleArrived PassengerOnBoard</AgentEvents>
    </Notifications>
</AgentBookingAuthorizationRequest>